%btn {
  padding-inline: 5rem;
  padding-block: 1rem;
  border-radius: 4px;
  transition: all 0.3s ease-in-out;
  max-width: 100%;
  text-align: center;
  display: block;

  @media screen and (min-width: 768px) {
    padding-inline: 5rem;
    padding-block: 1rem;
    max-width: 240px;
    display: inline-block;
  }
}

.btn {
  &__email-contact {
    @extend %btn;
    color: $main-green;
    border: 1px solid $main-green;

    &:hover {
      background-color: $main-green;
      color: $white;
    }
  }

  &__whatsapp-contact {
    @extend %btn;
    color: $white;
    background-color: $main-green;

    &:hover {
      background-color: $accent-green;
      color: $white;
    }
  }
}